import { NgModule } from '@angular/core';

import {
  MatButtonModule, MatCardModule, MatIconModule,
  MatListModule, MatMenuModule, MatTooltipModule,
  MatSlideToggleModule, MatInputModule, MatCheckboxModule,
  MatToolbarModule, MatSnackBarModule, MatSidenavModule,
  MatTabsModule, MatSelectModule, MatRadioModule,
  MatAutocompleteModule, MatFormFieldModule
} from '@angular/material';

const MATERIAL_MODULES: any[] = [
  MatButtonModule, MatCardModule, MatIconModule,
  MatListModule, MatMenuModule, MatTooltipModule,
  MatSlideToggleModule, MatInputModule, MatCheckboxModule,
  MatToolbarModule, MatSnackBarModule, MatSidenavModule,
  MatTabsModule, MatSelectModule, MatRadioModule,
  MatAutocompleteModule, MatFormFieldModule
];

@NgModule({
  imports: [
    MATERIAL_MODULES,
  ],
  exports: [
    MATERIAL_MODULES,
  ],
})
export class MaterialModule { }
